Subject: Re: [PATCH 2/2] netfilter: get rid of atomic ops in fast path

From: Patrick McHardy <[email-masked]>
Date: Sun, 20 Mar 2011 15:41:32 +0100

Am 18.03.2011 18:07, schrieb Eric Dumazet:
> We currently use a percpu spinlock to 'protect' rule bytes/packets
> counters, after various attempts to use RCU instead.
> 
> Lately we added a seqlock so that get_counters() can run without
> blocking BH or 'writers'. But we really use the seqcount in it.
> 
> Spinlock itself is only locked by the current/owner cpu, so we can
> remove it completely.
> 
> This cleanups api, using correct 'writer' vs 'reader' semantic.
> 
> At replace time, the get_counters() call makes sure all cpus are done
> using the old table.

I think this will have to wait until net-next opens up again since
its not a bugfix.